      program conv
      implicit real*8(a-z)
   10 write(6,*)' Enter z, q_01, q_02, H_01, H_02 !'
      read(5,*)z,qnull1,qnull2,hnull1,hnull2
      dlratio=
     $ (z*qnull1+(qnull1-1)*(sqrt(2*qnull1*z+1)-1))/(hnull1*qnull1**2)/
     $((z*qnull2+(qnull2-1)*(sqrt(2*qnull2*z+1)-1))/(hnull2*qnull2**2))
      write(6,*)' Ratio of luminosity distance 1/2 = ',dlratio
      write(6,*)' Log_10 P1=27.7 --> Log_10 P2=',27.7-2*log(dlratio)
      goto 10
      end
